%define name pyphany
%define version 0.1.4
%define release 4mdk
%define epiver 1.6.3

Summary: Extensions for Epiphany written in Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 0.1.4-4mdk fix major
Patch0: pyphany-0.1.4-fixmajor.patch.bz2
License: GPL
Group: Development/Python
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python
BuildRequires: perl-XML-Parser
#gw if we call autoconf
BuildRequires: gnome-common
Requires: epiphany >= %epiver

%description
Python bindings for the Epiphany web browser. These allow writing
plugins in python.

%prep
%setup -q
%patch0 -p1 -b .fixmajor

#needed by patch0
aclocal-1.9 -I m4
automake-1.9

autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany-1.6/loaders/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog NEWS COPYING*
%_libdir/epiphany-1.6/extensions/*
%_libdir/epiphany-1.6/loaders
%_libdir/python%pyver/site-packages/gtk-2.0/*
%_datadir/pygtk/2.0/defs/*

%changelog
* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-4mdk 
- Patch0: fix major in loader
- don't package .la files for loader

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-3mdk
- fix buildrequires

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-2mdk
- fix build on x86_64

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- requires new epiphany
- New release 0.1.4

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- initial mdk package

* Sun Apr 03 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.3-0.1gpw
- New release 0.1.3

* Sat Mar 12 2005 Reinout van Schouwen <reinout@cs.vu.nl> 0.1.2-0.2gpw
- fix libdir for epiphany 1.6

* Wed Mar  2 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.2-0.1gpw
- new version

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.1-0.1gpw
- New release 0.1.1

* Tue Jan 25 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1-0.1gpw
- initial package
